
#import <appkit/appkit.h>

#define	RUNNING	0
#define	STOPPED	1
#define 	PAUSED		2

@interface AnimView:View
{
	id playbutton;
	id pausebutton;
	int Status;
	int frameN;
	id *Frames;
	int numFrames;
	float fps;
	DPSTimedEntry timer;
}

- initFrame:(NXRect *)theFrame;
- openAnim:(const char *)filename;
- playAnim:sender;
- stopAnim:sender;
- pauseAnim:sender;
- step:(double)timeNow;
- takeFramesPerSecond:sender;
- setFramesPerSecond:(float)thefps;
- (float)framesPerSecond;
- free;

// Delegate methods
- windowWillMiniaturize:theW toMiniwindow:theMW;

// Dummy Function.
void runOneStep();

@end
